Bug 433507 - After I upgraded, "CF Framework Explorer" doesn't work.
After I upgraded, "CF Framework Explorer" doesn't work.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 13:55 EST by Brian Erickson
Modified: 2009-01-09 01:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:01:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Erickson 2008-02-19 13:55:29 EST
OS: Linux Fedora version 8 - 32-bit
Fedora Eclipse Platform: version 3.3.0
ColdFusion Extensions for Eclipse: version 1.0.176376
org.python.pydev.feature: version 1.3.13

Problem:
	recently updated my system, which included an update to eclipse.
	Went to open an existing project, none of the file show up in the project.
	Tried to bring up "CF Framework Explorer", I get the following error message:

Error Message:
java.lang.NullPointerException
	at org.eclipse.swt.dnd.DropTarget.setTransfer(DropTarget.java:633)
	at
org.eclipse.jface.viewers.StructuredViewer.addDropSupport(StructuredViewer.java:549)
	at
org.cfeclipse.cfml.frameworks.views.FrameworksView.createPartControl(FrameworksView.java:278)
	at org.eclipse.ui.internal.ViewReference.createPartHelper(ViewReference.java:370)
	at org.eclipse.ui.internal.ViewReference.createPart(ViewReference.java:227)
	at
org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReference.java:592)
	at org.eclipse.ui.handlers.ShowViewHandler.openView(ShowViewHandler.java:148)
	at org.eclipse.ui.handlers.ShowViewHandler.openOther(ShowViewHandler.java:109)
	at org.eclipse.ui.handlers.ShowViewHandler.execute(ShowViewHandler.java:77)
	at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:239)
	at org.eclipse.core.commands.Command.executeWithChecks(Command.java:475)
	at
org.eclipse.core.commands.ParameterizedCommand.executeWithChecks(ParameterizedCommand.java:429)
	at
org.eclipse.ui.internal.handlers.HandlerService.executeCommand(HandlerService.java:165)
	at
org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand(SlaveHandlerService.java:247)
	at org.eclipse.ui.internal.ShowViewMenu$3.run(ShowViewMenu.java:128)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:498)
	at
org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:546)
	at
org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:490)
	at
org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:402)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1101)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3319)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2389)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2353)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2219)
	at org.eclipse.ui.internal.Workbench$4.run(Workbench.java:466)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:289)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:461)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at
org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:106)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:169)
	at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:106)
	at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:76)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:363)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:623)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:504)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:443)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1169)

Configuration Details:
*** Date: Wednesday, February 13, 2008 10:46:42 AM PT

*** Platform Details:

*** System properties:
eclipse.buildId=I20070625-1500
eclipse.commands=-os
linux
-ws
gtk
-arch
x86
-showsplash
-launcher
/usr/lib/eclipse/eclipse
-name
Eclipse
--launcher.library
/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.0.0.v20070606/eclipse_1017a.so
-startup
/usr/share/eclipse/startup.jar
-vm
/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/bin/../lib/i386/client/libjvm.so
eclipse.ee.install.verify=false
eclipse.product=org.fedoraproject.ide.platform.product
eclipse.startTime=1202928152391
eclipse.vm=/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/bin/../lib/i386/client/libjvm.so
eclipse.vmargs=-Dosgi.sharedConfiguration.area=/usr/lib/eclipse/configuration
-Djava.class.path=/usr/share/eclipse/startup.jar
eof=eof
file.encoding=UTF-8
file.encoding.pkg=sun.io
file.separator=/
java.awt.graphicsenv=sun.awt.X11GraphicsEnvironment
java.awt.printerjob=sun.print.PSPrinterJob
java.class.path=/usr/share/eclipse/startup.jar
java.class.version=50.0
java.endorsed.dirs=/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/endorsed
java.ext.dirs=/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/ext:/usr/java/packages/lib/ext
java.home=/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre
java.io.tmpdir=/tmp
java.library.path=/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/i386/client::/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/i386::/usr/lib/firefox-2.0.0.12:/usr/lib/firefox-2.0.0.12:/usr/java/packages/lib/i386:/lib:/usr/lib
java.runtime.name=IcedTea Runtime Environment
java.runtime.version=1.7.0-b21
java.specification.name=Java Platform API Specification
java.specification.vendor=Sun Microsystems Inc.
java.specification.version=1.7
java.vendor=Sun Microsystems Inc.
java.vendor.url=http://java.sun.com/
java.vendor.url.bug=http://java.sun.com/cgi-bin/bugreport.cgi
java.version=1.7.0
java.vm.info=mixed mode
java.vm.name=IcedTea Client VM
java.vm.specification.name=Java Virtual Machine Specification
java.vm.specification.vendor=Sun Microsystems Inc.
java.vm.specification.version=1.0
java.vm.vendor=Sun Microsystems Inc.
java.vm.version=1.7.0-b21
javax.net.ssl.trustStore=/etc/pki/tls/certs/ca-bundle.crt
javax.net.ssl.trustStorePassword=
javax.net.ssl.trustStoreProvider=
javax.net.ssl.trustStoreType=CertBundle
line.separator=

org.apache.commons.logging.Log=org.apache.commons.logging.impl.SimpleLog
org.apache.commons.logging.simplelog.log.httpclient.wire.header=off
org.apache.commons.logging.simplelog.log.org.apache.commons.httpclient=off
org.eclipse.equinox.launcher.splash.handle=145016832
org.eclipse.equinox.launcher.splash.location=/usr/share/eclipse/plugins/org.fedoraproject.ide.platform/splash.bmp
org.osgi.framework.executionenvironment=OSGi/Minimum-1.0,OSGi/Minimum-1.1,JRE-1.1,J2SE-1.2,J2SE-1.3,J2SE-1.4,J2SE-1.5,JavaSE-1.6
org.osgi.framework.language=en
org.osgi.framework.os.name=Linux
org.osgi.framework.os.version=2.6.23.15-137.fc8
org.osgi.framework.processor=i386
org.osgi.framework.system.packages=javax.accessibility,javax.activation,javax.activity,javax.annotation,javax.annotation.processing,javax.crypto,javax.crypto.interfaces,javax.crypto.spec,javax.imageio,javax.imageio.event,javax.imageio.metadata,javax.imageio.plugins.bmp,javax.imageio.plugins.jpeg,javax.imageio.spi,javax.imageio.stream,javax.jws,javax.jws.soap,javax.lang.model,javax.lang.model.element,javax.lang.model.type,javax.lang.model.util,javax.management,javax.management.loading,javax.management.modelmbean,javax.management.monitor,javax.management.openmbean,javax.management.relation,javax.management.remote,javax.management.remote.rmi,javax.management.timer,javax.naming,javax.naming.directory,javax.naming.event,javax.naming.ldap,javax.naming.spi,javax.net,javax.net.ssl,javax.print,javax.print.attribute,javax.print.attribute.standard,javax.print.event,javax.rmi,javax.rmi.CORBA,javax.rmi.ssl,javax.script,javax.security.auth,javax.security.auth.callback,javax.security.auth.kerberos,javax.security.auth.login,javax.security.auth.spi,javax.security.auth.x500,javax.security.cert,javax.security.sasl,javax.sound.midi,javax.sound.midi.spi,javax.sound.sampled,javax.sound.sampled.spi,javax.sql,javax.sql.rowset,javax.sql.rowset.serial,javax.sql.rowset.spi,javax.swing,javax.swing.border,javax.swing.colorchooser,javax.swing.event,javax.swing.filechooser,javax.swing.plaf,javax.swing.plaf.basic,javax.swing.plaf.metal,javax.swing.plaf.multi,javax.swing.plaf.synth,javax.swing.table,javax.swing.text,javax.swing.text.html,javax.swing.text.html.parser,javax.swing.text.rtf,javax.swing.tree,javax.swing.undo,javax.tools,javax.transaction,javax.transaction.xa,javax.xml,javax.xml.bind,javax.xml.bind.annotation,javax.xml.bind.annotation.adapters,javax.xml.bind.attachment,javax.xml.bind.helpers,javax.xml.bind.util,javax.xml.crypto,javax.xml.crypto.dom,javax.xml.crypto.dsig,javax.xml.crypto.dsig.dom,javax.xml.crypto.dsig.keyinfo,javax.xml.crypto.dsig.spec,javax.xml.datatype,javax.xml.namespace,javax.xml.parsers,javax.xml.soap,javax.xml.stream,javax.xml.stream.events,javax.xml.stream.util,javax.xml.transform,javax.xml.transform.dom,javax.xml.transform.sax,javax.xml.transform.stax,javax.xml.transform.stream,javax.xml.validation,javax.xml.ws,javax.xml.ws.handler,javax.xml.ws.handler.soap,javax.xml.ws.http,javax.xml.ws.soap,javax.xml.ws.spi,javax.xml.xpath,org.ietf.jgss,org.omg.CORBA,org.omg.CORBA_2_3,org.omg.CORBA_2_3.portable,org.omg.CORBA.DynAnyPackage,org.omg.CORBA.ORBPackage,org.omg.CORBA.portable,org.omg.CORBA.TypeCodePackage,org.omg.CosNaming,org.omg.CosNaming.NamingContextExtPackage,org.omg.CosNaming.NamingContextPackage,org.omg.Dynamic,org.omg.DynamicAny,org.omg.DynamicAny.DynAnyFactoryPackage,org.omg.DynamicAny.DynAnyPackage,org.omg.IOP,org.omg.IOP.CodecFactoryPackage,org.omg.IOP.CodecPackage,org.omg.Messaging,org.omg.PortableInterceptor,org.omg.PortableInterceptor.ORBInitInfoPackage,org.omg.PortableServer,org.omg.PortableServer.CurrentPackage,org.omg.PortableServer.POAManagerPackage,org.omg.PortableServer.POAPackage,org.omg.PortableServer.portable,org.omg.PortableServer.ServantLocatorPackage,org.omg.SendingContext,org.omg.stub.java.rmi,org.w3c.dom,org.w3c.dom.bootstrap,org.w3c.dom.events,org.w3c.dom.ls,org.xml.sax,org.xml.sax.ext,org.xml.sax.helpers
org.osgi.framework.vendor=Eclipse
org.osgi.framework.version=1.4.0
org.osgi.supports.framework.extension=true
org.osgi.supports.framework.fragment=true
org.osgi.supports.framework.requirebundle=true
os.arch=i386
os.name=Linux
os.version=2.6.23.15-137.fc8
osgi.arch=x86
osgi.bundles=org.eclipse.equinox.common@2:start,
org.eclipse.update.configurator@3:start, org.eclipse.core.runtime@start
osgi.bundlestore=/usr/share/eclipse/configuration/org.eclipse.osgi/bundles
osgi.compatibility.bootdelegation=true
osgi.configuration.area=file:/usr/share/eclipse/configuration/
osgi.framework=file:/usr/share/eclipse/plugins/org.eclipse.osgi_3.3.1.R33x_v20070828.jar
osgi.framework.beginningstartlevel=1
osgi.framework.shape=jar
osgi.framework.version=3.3.1.R33x_v20070828
osgi.install.area=file:/usr/share/eclipse/
osgi.instance.area=file:/var/www/html/ColdFusion/Books/
osgi.instance.area.default=file:/root/workspace/
osgi.logfile=/var/www/html/ColdFusion/Books/.metadata/.log
osgi.manifest.cache=/usr/share/eclipse/configuration/org.eclipse.osgi/manifests
osgi.nl=en_US
osgi.os=linux
osgi.sharedConfiguration.area=file:/usr/lib/eclipse/configuration/
osgi.splashLocation=/usr/share/eclipse/plugins/org.fedoraproject.ide.platform/splash.bmp
osgi.splashPath=platform:/base/plugins/org.fedoraproject.ide.platform
osgi.syspath=/usr/share/eclipse/plugins
osgi.ws=gtk
path.separator=:
sun.arch.data.model=32
sun.boot.class.path=/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/resources.jar:/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/rt.jar:/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/jsse.jar:/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/jce.jar:/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/charsets.jar:/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/classes
sun.boot.library.path=/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/i386
sun.cpu.endian=little
sun.cpu.isalist=
sun.io.unicode.encoding=UnicodeLittle
sun.jnu.encoding=UTF-8
sun.management.compiler=HotSpot Client Compiler
sun.os.patch.level=unknown
user.country=US
user.dir=/root
user.home=/root
user.language=en
user.name=root
user.timezone=America/Los_Angeles
user.zoneinfo.dir=/usr/share/javazi

*** Features:
com.adobe.coldfusion.extensions (1.0.176376) "ColdFusion Extensions for Eclipse"
com.ibm.icu (3.6.1.v20070417) "International Components for Unicode for Java
(ICU4J)"
org.eclipse.cdt (4.0.1.200712191627) "Eclipse C/C++ Development Tools"
org.eclipse.cdt.cppunit (2.0.0) "Eclipse C/C++ Development Tools CppUnit support"
org.eclipse.cvs (1.0.1.R33x_r20070802-7C79_9_KKG-mDM9e3H5D) "Eclipse CVS Client"
org.eclipse.cvs.source (1.0.1.R33x_r20070802-7C79_9_KKG-mDM9e3H5D) "Eclipse CVS
Client SDK"
org.eclipse.jdt (3.3.1.r331_v20070629-7o7jE72EDlXAbqAcnbmyg1rf8RIL) "Eclipse
Java Development Tools"
org.eclipse.jdt.source (3.3.1.r331_v20070629-7o7jE72EDlXAbqAcnbmyg1rf8RIL)
"Eclipse Java Development Tools SDK"
org.eclipse.mylyn_feature (2.0.0.v20070627-1400) "Mylyn"
org.eclipse.mylyn.context_feature (2.0.0.v20070627-1400) "Mylyn"
org.eclipse.mylyn.ide_feature (2.0.0.v20070627-1400) "Mylyn"
org.eclipse.mylyn.java_feature (2.0.0.v20070628-1000) "Mylyn"
org.eclipse.pde (3.3.2.R33x_r20071022-7N7M4CYWLBCz-yHkMIuHN) "Eclipse Plug-in
Development Environment"
org.eclipse.pde.source (3.3.2.R33x_r20071022-7N7M4CYWLBCz-yHkMIuHN) "Eclipse
Plug-in Development Environment Developer Resources"
org.eclipse.platform (3.3.2.R33x_v20071022-_19UEksF-G8Yc6bUv3Dz) "Eclipse Platform"
org.eclipse.platform.source (3.3.2.R33x_v20071022-_19UEksF-G8Yc6bUv3Dz) "Eclipse
Platform Plug-in Developer Resources"
org.eclipse.rcp (3.3.2.R33x_r20071022-8y8eE9CEV3FspP8HJrY1M2dS) "Eclipse RCP"
org.eclipse.rcp (3.3.2.R33x_r20071022-8y8eE9CEV3FspP8HJrY1M2dS) "Eclipse RCP"
org.eclipse.rcp.source (3.3.2.R33x_r20071022-8y8eE9CEV3FspP8HJrY1M2dS) "Eclipse
RCP Plug-in Developer Resources"
org.eclipse.sdk (3.3.2.R33x_r20071022-7M7J7C_Mu2gop0b_GAwplOBhyuKO) "Eclipse
Project SDK"
org.fedoraproject.ide.feature (1.0.0) "Fedora Eclipse Product Plug-in"
org.python.pydev.feature (1.3.13) "Pydev - Python Development Environment"

*** Plug-in Registry:
com.adobe.coldfusion_help_7 (1.0.0) "ColdFusion Documentation Version 7" [Starting]
com.adobe.coldfusion_help_8 (0.9.0) "ColdFusion Scorpio CFML Reference Help"
[Starting]
com.adobe.coldfusion.as2cfc (1.0.176376) "AS2CFC ColdFusion Wizard" [Starting]
com.adobe.coldfusion.cfc2as (1.0.176376) "CFC2AS ColdFusion Wizard" [Starting]
com.adobe.coldfusion.crudcfc (1.0.176376) "CRUD_CFC_Generator Plug-in" [Starting]
com.adobe.coldfusion.fbext_help (1.0.1) "ColdFusion Extensions Documentation"
[Starting]
com.adobe.coldfusion.feature.brand (1.0.176376) "ColdFusion Extensions for
Eclipse" [Resolved]
com.adobe.coldfusion.logviewer (1.0.176376) "ColdFusion LogViewer Plug-in"
[Starting]
com.adobe.coldfusion.rds.client (1.0.176376) "RDS Client Plug-in" [Starting]
com.adobe.coldfusion.rds.debugger (1.0.176376) "ColdFusion RDS Debugger Plug-in"
[Starting]
com.adobe.coldfusion.servicebrowser (1.0.176376) "Service Browser" [Starting]
com.adobe.coldfusion.wizards.appgeneration (1.0.176376) "ColdFusion/Flex and
ColdFusion/AJAX Wizards Plug-in" [Starting]
com.ibm.icu (3.6.1.v20070417) "International Components for Unicode for Java
(ICU4J)" [Installed]
com.ibm.icu (3.6.1.v20070906) "International Components for Unicode for Java
(ICU4J)" [Active]
com.ibm.icu.source (3.6.1.v20070417) "International Components for Unicode for
Java (ICU4J) source plug-in" [Installed]
com.ibm.icu.source (3.6.1.v20070906) "International Components for Unicode for
Java (ICU4J) source plug-in" [Resolved]
com.ibm.icu36.data.update (3.6.1.v20080102_2007k) "ICU4J Data Update Fragment"
[Resolved]
com.jcraft.jsch (0.1.31) "bundleName" [Resolved]
com.redhat.eclipse.cdt.autotools (0.9.6) "Autotools Plug-in" [Starting]
com.redhat.eclipse.cdt.autotools_docs (0.0.5) "Autotools_docs Plug-in" [Resolved]
javax.servlet (2.4.0.v200706111738) "Servlet API Bundle" [Resolved]
javax.servlet.jsp (2.0.0.v200706191603) "Java Server Pages API Bundle" [Resolved]
javax.servlet.jsp.source (2.0.0.v200706191603) "Java Server Pages API Source
Bundle" [Resolved]
javax.servlet.source (2.4.0.v200706111738) "Servlet API Source Bundle" [Resolved]
org.apache.ant (1.7.0.v200706080842) "Apache Ant" [Resolved]
org.apache.ant.source (1.7.0.v200706080842) "Apache Ant Source" [Resolved]
org.apache.commons.el (1.0.0.v200706111724) "Apache Commons JSP 2.0 Expression
Language Interpreter" [Resolved]
org.apache.commons.el.source (1.0.0.v200706111724) "Apache Commons JSP 2.0
Expression Language Interpreter Source" [Resolved]
org.apache.commons.logging (1.0.4.v200706111724) "Apache Commons Logging
Plug-in" [Resolved]
org.apache.commons.logging.source (1.0.4.v200706111724) "Apache Commons Logging
Plug-in Source" [Resolved]
org.apache.jasper (5.5.17.v200706111724) "Apache Jasper 2 Plug-in" [Resolved]
org.apache.jasper.source (5.5.17.v200706111724) "Apache Jasper 2 Source Plug-in"
[Resolved]
org.apache.lucene (1.9.1.v200706111724) "Apache Lucene" [Resolved]
org.apache.lucene.analysis (1.9.1.v200706181610) "Apache Lucene Analysis" [Resolved]
org.apache.lucene.analysis.source (1.9.1.v200706181610) "Apache Lucene Analysis
Source" [Resolved]
org.apache.lucene.source (1.9.1.v200706111724) "Apache Lucene Source" [Resolved]
org.cfeclipse.cfml (1.3.1.5) "CFML Plug-in" [Active]
org.cfeclipse.cfml.cfunit (1.0.4) "CFUnit Fragment" [Installed]
org.cfeclipse.cfml.cfunit (1.3.1.5) "CFUnit Fragment" [Resolved]
org.cfeclipse.cfml.frameworks (1.0.3) "CF Frameworks Plugin" [Active]
org.eclipse.ant.core (3.1.200.v20070522) "Ant Build Tool Core" [Starting]
org.eclipse.ant.ui (3.2.200.v20070825_r331) "Ant UI" [Starting]
org.eclipse.cdt (4.0.0.200712191627) "Eclipse C/C++ Development Tools" [Starting]
org.eclipse.cdt.core (4.0.1.200712191627) "C/C++ Development Tools Core" [Starting]
org.eclipse.cdt.core.linux (4.0.0.200712191627) "C/C++ Development Tools Core
for Linux" [Resolved]
org.eclipse.cdt.core.linux.x86 (4.0.0.200712191627) "C/C++ Development Tools
Core for Linux (x86)" [Resolved]
org.eclipse.cdt.cppunit (2.0.0) "Eclipse C/C++ Development Tools CppUnit
support" [Starting]
org.eclipse.cdt.debug.core (4.0.1.200712191627) "C/C++ Development Tools Debug
Model" [Starting]
org.eclipse.cdt.debug.mi.core (4.0.0.200712191627) "C/C++ Development Tools
GDB/MI CDI Debugger Core" [Starting]
org.eclipse.cdt.debug.mi.ui (4.0.0.200712191627) "C/C++ Development Tools GDB/MI
CDI Debugger UI" [Starting]
org.eclipse.cdt.debug.ui (4.0.1.200712191627) "C/C++ Development Tools Debugger
UI" [Starting]
org.eclipse.cdt.doc.isv (4.0.0.200712191627) "C/C++ Plugin Developer Guide"
[Starting]
org.eclipse.cdt.doc.user (4.0.1.200712191627) "C/C++ Development User Guide"
[Starting]
org.eclipse.cdt.launch (4.0.1.200712191627) "C/C++ Development Tools Launching
Support" [Starting]
org.eclipse.cdt.make.core (4.0.1.200712191627) "C/C++ Standard make Build Core"
[Starting]
org.eclipse.cdt.make.ui (4.0.1.200712191627) "C/C++ Standard make Build UI"
[Starting]
org.eclipse.cdt.managedbuilder.core (4.0.1.200712191627) "CDT Build System Core"
[Starting]
org.eclipse.cdt.managedbuilder.gnu.ui (4.0.0.200712191627) "GNU Managed Build
Definitions" [Starting]
org.eclipse.cdt.managedbuilder.ui (4.0.1.200712191627) "C/C++ Managed Builder
UI" [Starting]
org.eclipse.cdt.refactoring (4.0.1.200712191627) "C/C++ Refactoring" [Starting]
org.eclipse.cdt.ui (4.0.1.200712191627) "C/C++ Development Tools UI" [Starting]
org.eclipse.compare (3.3.1.r33x_20070906) "Compare Support" [Starting]
org.eclipse.core.boot (3.1.100.v20060603) "Core Boot" [Starting]
org.eclipse.core.commands (3.3.0.I20070605-0010) "Commands" [Resolved]
org.eclipse.core.contenttype (3.2.100.v20070319) "Eclipse Content Mechanism"
[Active]
org.eclipse.core.databinding (1.0.0.I20070606-0010) "JFace Data Binding" [Resolved]
org.eclipse.core.databinding (1.0.1.M20070822-0800) "JFace Data Binding" [Resolved]
org.eclipse.core.databinding.beans (1.0.0.I20070606-0010) "JFace Data Binding
for JavaBeans" [Resolved]
org.eclipse.core.databinding.beans (1.0.1.M20070910-0800b) "JFace Data Binding
for JavaBeans" [Resolved]
org.eclipse.core.expressions (3.3.0.v20070606-0010) "Expression Language" [Active]
org.eclipse.core.filebuffers (3.3.1.r331_v20070829) "File Buffers" [Active]
org.eclipse.core.filesystem (1.1.0.v20070606) "Core File Systems" [Active]
org.eclipse.core.filesystem.linux.x86 (1.1.0.v20070416) "Core File System for
Linux" [Resolved]
org.eclipse.core.jobs (3.3.0.v20070423) "Eclipse Jobs Mechanism" [Installed]
org.eclipse.core.jobs (3.3.1.R33x_v20070709) "Eclipse Jobs Mechanism" [Active]
org.eclipse.core.net (1.0.1.r33x_20070709) "Internet Connection Management" [Active]
org.eclipse.core.resources (3.3.0.v20070604) "Core Resource Management" [Active]
org.eclipse.core.resources.compatibility (3.2.100.v20070502) "Core Resource
Management Compatibility Fragment" [Resolved]
org.eclipse.core.runtime (3.3.100.v20070530) "Core Runtime" [Active]
org.eclipse.core.runtime.compatibility (3.1.200.v20070502) "Core Runtime Plug-in
Compatibility" [Active]
org.eclipse.core.runtime.compatibility.auth (3.2.100.v20070502) "Authorization
Compatibility Plug-in" [Active]
org.eclipse.core.runtime.compatibility.registry (3.2.100.v20070316) "Eclipse
Registry Compatibility Fragment" [Resolved]
org.eclipse.core.variables (3.2.0.v20070426) "Core Variables" [Starting]
org.eclipse.cvs (1.0.0.v20070606) "Eclipse CVS Client" [Starting]
org.eclipse.cvs.source (1.0.1.R33x_r20070802-7C79_9_KKG-mDM9e3H5D) "Eclipse CVS
Client SDK" [Resolved]
org.eclipse.debug.core (3.3.1.v20070731_r331) "Debug Core" [Active]
org.eclipse.debug.ui (3.3.1.v20070731_r331) "Debug UI" [Active]
org.eclipse.equinox.app (1.0.0.v20070606) "Equinox Application Container"
[Installed]
org.eclipse.equinox.app (1.0.1.R33x_v20070828) "Equinox Application Container"
[Active]
org.eclipse.equinox.common (3.3.0.v20070426) "Common Eclipse Runtime" [Active]
org.eclipse.equinox.http.jetty (1.0.1.R33x_v20070816) "Jetty Http Service"
[Starting]
org.eclipse.equinox.http.registry (1.0.0.v20070608) "Http Service Registry
Extensions" [Resolved]
org.eclipse.equinox.http.servlet (1.0.1.R33x_v20070816) "Http Services Servlet"
[Starting]
org.eclipse.equinox.initializer (1.0.0) "Initializer Plug-in" [Starting]
org.eclipse.equinox.jsp.jasper (1.0.1.R33x_v20070816) "Jasper Jsp Support
Bundle" [Starting]
org.eclipse.equinox.jsp.jasper.registry (1.0.0.v20070607) "Jasper Jsp Registry
Support Plug-in" [Starting]
org.eclipse.equinox.launcher (1.0.0.v20070606) "Equinox Launcher" [Resolved]
org.eclipse.equinox.launcher (1.0.1.R33x_v20070828) "Equinox Launcher" [Resolved]
org.eclipse.equinox.launcher.gtk.linux.x86 (1.0.2.R331_v20071019) "Equinox
Launcher Linux X86 Fragment" [Resolved]
org.eclipse.equinox.preferences (3.2.100.v20070522) "Eclipse Preferences
Mechanism" [Active]
org.eclipse.equinox.registry (3.3.0.v20070522) "Extension Registry Support"
[Installed]
org.eclipse.equinox.registry (3.3.1.R33x_v20070802) "Extension Registry Support"
[Active]
org.eclipse.help (3.3.0.v20070524) "Help System Core" [Installed]
org.eclipse.help (3.3.1.v20070726_33x) "Help System Core" [Active]
org.eclipse.help.appserver (3.1.200.v20070510) "Help Application Server" [Starting]
org.eclipse.help.base (3.3.1.v20070813_33x) "Help System Base" [Starting]
org.eclipse.help.ui (3.3.1.v20070726_33x) "Help System UI" [Starting]
org.eclipse.help.webapp (3.3.0.v20070607) "Help System Webapp" [Installed]
org.eclipse.help.webapp (3.3.1.v20070823_33x) "Help System Webapp" [Starting]
org.eclipse.jdt (3.3.0.v20070607-1300) "Eclipse Java Development Tools" [Resolved]
org.eclipse.jdt.apt.core (3.3.1.R33x_v20070831-0435) "Java Annotation Processing
Core" [Starting]
org.eclipse.jdt.apt.pluggable.core (1.0.1.R33x_v20070831-0435) "Java Compiler
Apt IDE" [Starting]
org.eclipse.jdt.apt.ui (3.3.1.R33x_v20070801-1930) "Java Annotation Processing
UI" [Starting]
org.eclipse.jdt.compiler.apt (1.0.1.R33x_v20070831-0435) "Java Compiler Apt"
[Resolved]
org.eclipse.jdt.compiler.tool (1.0.1.v_780_R33x) "Java Compiler Tool Support"
[Resolved]
org.eclipse.jdt.core (3.3.1.v_780_R33x) "Java Development Tools Core" [Active]
org.eclipse.jdt.core.manipulation (1.1.0.v20070606-0010) "Java Code Manipulation
Functionality" [Active]
org.eclipse.jdt.debug (3.3.1.v20070719_r331) "JDI Debug Model" [Starting]
org.eclipse.jdt.debug.ui (3.2.101.v20070718_r331) "JDI Debug UI" [Starting]
org.eclipse.jdt.doc.isv (3.3.0.v20070613) "Eclipse JDT Plug-in Developer Guide"
[Installed]
org.eclipse.jdt.doc.isv (3.3.1.r331_v20070913) "Eclipse JDT Plug-in Developer
Guide" [Starting]
org.eclipse.jdt.doc.user (3.3.1.r331_v20070912a) "Eclipse Java Development User
Guide" [Starting]
org.eclipse.jdt.junit (3.3.1.r331_v20070829) "Java Development Tools JUnit
support" [Starting]
org.eclipse.jdt.junit.runtime (3.3.0.v20070606-0010) "Java Development Tools
JUnit runtime support" [Resolved]
org.eclipse.jdt.junit4.runtime (1.0.100.v20070606-0010) "Java Development Tools
JUnit4 runtime support" [Resolved]
org.eclipse.jdt.launching (3.3.1.v20070808_r331) "Java Development Tools
Launching Support" [Starting]
org.eclipse.jdt.source (3.3.1.r331_v20070629-7o7jE72EDlXAbqAcnbmyg1rf8RIL)
"Eclipse Java Development Tools SDK" [Resolved]
org.eclipse.jdt.ui (3.3.1.r331_v20070906) "Java Development Tools UI" [Active]
org.eclipse.jface (3.3.0.I20070606-0010) "JFace" [Starting]
org.eclipse.jface (3.3.1.M20070910-0800b) "JFace" [Active]
org.eclipse.jface.databinding (1.1.0.I20070606-0010) "JFace Data Binding for SWT
and JFace" [Resolved]
org.eclipse.jface.databinding (1.1.1.M20070910-0800b) "JFace Data Binding for
SWT and JFace" [Resolved]
org.eclipse.jface.text (3.3.1.r331_v20070629) "JFace Text" [Resolved]
org.eclipse.jsch.core (1.0.0.I20070426) "JSch Core" [Starting]
org.eclipse.jsch.ui (1.0.1.r33x_20070709) "JSch UI" [Starting]
org.eclipse.linuxtools.changelog.core (2.6.1) "ChangeLog Core Functionality
(Incubation)" [Starting]
org.eclipse.linuxtools.changelog.cparser (2.6.1) "ChangeLog C parser
(Incubation)" [Resolved]
org.eclipse.linuxtools.changelog.doc (2.6.1) "ChangeLog Documentation
(Incubation)" [Starting]
org.eclipse.linuxtools.changelog.parsers.java (2.6.1) "ChangeLog Java parser
(Incubation)" [Resolved]
org.eclipse.ltk.core.refactoring (3.3.1.r331_v20070829) "Refactoring Core"
[Starting]
org.eclipse.ltk.ui.refactoring (3.3.1.r331_v20070829) "Refactoring UI" [Starting]
org.eclipse.mylyn (2.0.0.v20070627-1400) "Mylyn" [Starting]
org.eclipse.mylyn.context.core (2.0.0.v20070627-1400) "Mylyn Context Core" [Active]
org.eclipse.mylyn.context.ui (2.0.0.v20070627-1400) "Mylyn Context UI" [Active]
org.eclipse.mylyn.help.ui (2.0.0.v20070627-1400) "Mylyn Help" [Starting]
org.eclipse.mylyn.ide.ui (2.0.0.v20070627-1400) "Mylyn IDE UI" [Starting]
org.eclipse.mylyn.java.ui (2.0.0.v20070628-1000) "Mylyn Java" [Active]
org.eclipse.mylyn.monitor.core (2.0.0.v20070627-1400) "Mylyn Monitor Core"
[Resolved]
org.eclipse.mylyn.monitor.ui (2.0.0.v20070627-1400) "Mylyn Monitor UI" [Active]
org.eclipse.mylyn.resources.ui (2.0.0.v20070627-1400) "Mylyn Resources UI"
[Starting]
org.eclipse.mylyn.tasks.core (2.0.0.v20070627-1400) "Mylyn Tasks Core" [Active]
org.eclipse.mylyn.tasks.ui (2.0.0.v20070627-1400) "Mylyn Tasks UI" [Active]
org.eclipse.mylyn.web.core (2.0.0.v20070627-1400) "Mylyn Web Core Plug-in" [Active]
org.eclipse.mylyn.web.ui (2.0.0.v20070627-1400) "Mylyn Web UI" [Starting]
org.eclipse.osgi (3.3.1.R33x_v20070828) "OSGi System Bundle" [Active]
org.eclipse.osgi (3.3.0.v20070530) "OSGi System Bundle" [Installed]
org.eclipse.osgi.services (3.1.200.v20070605) "OSGi Release 4.0.1 Services"
[Resolved]
org.eclipse.osgi.util (3.1.200.v20070605) "OSGi Release 4.0.1 Utility Classes"
[Resolved]
org.eclipse.pde (3.3.1.R33x_r20070920) "Eclipse Plug-in Development Environment"
[Resolved]
org.eclipse.pde.build (3.3.0.v20070612) "Plug-in Development Environment Build
Support" [Installed]
org.eclipse.pde.build (3.3.2.R331_v20071019) "Plug-in Development Environment
Build Support" [Starting]
org.eclipse.pde.core (3.3.1.v20070912-0800) "Plug-in Development Core" [Starting]
org.eclipse.pde.doc.user (3.3.0.v20070614-0800) "Eclipse Plug-in Development
User Guide" [Resolved]
org.eclipse.pde.junit.runtime (3.3.0.v20070608-1300) "PDE JUnit Plug-in Test"
[Resolved]
org.eclipse.pde.runtime (3.3.0.v20070608-1300) "Plug-in Development Environment
Runtime" [Starting]
org.eclipse.pde.source (3.3.2.R33x_r20071022-7N7M4CYWLBCz-yHkMIuHN) "Eclipse
Plug-in Development Environment Developer Resources" [Resolved]
org.eclipse.pde.ui (3.3.1.v20070912-0800) "Plug-in Development UI" [Starting]
org.eclipse.pde.ui.templates (3.3.0.v20070608-1300) "PDE Templates" [Starting]
org.eclipse.platform (3.3.2.R33x_v20071022) "Eclipse Platform" [Starting]
org.eclipse.platform.doc.isv (3.3.0.v20070621) "Eclipse Platform Plug-in
Developer Guide" [Installed]
org.eclipse.platform.doc.isv (3.3.1.r331_v20070913) "Eclipse Platform Plug-in
Developer Guide" [Starting]
org.eclipse.platform.doc.user (3.3.0.M20070913-1400) "Eclipse Workbench User
Guide" [Starting]
org.eclipse.platform.source (3.3.0.v20070612-_19UEkLEzwsdF9jSqQ-G) "Eclipse
Platform Plug-in Developer Resources" [Installed]
org.eclipse.platform.source (3.3.2.R33x_v20071022-_19UEksF-G8Yc6bUv3Dz) "Eclipse
Platform Plug-in Developer Resources" [Resolved]
org.eclipse.platform.source.linux.gtk.x86
(3.3.2.R33x_v20071022-_19UEksF-G8Yc6bUv3Dz) "Eclipse Platform Plug-in Developer
Resources" [Resolved]
org.eclipse.platform.source.linux.gtk.x86 (3.3.0.v20070612-_19UEkLEzwsdF9jSqQ-G)
"pluginName" [Installed]
org.eclipse.rcp (3.2.0.v20070612) "Eclipse RCP" [Starting]
org.eclipse.rcp.source (3.3.2.R33x_r20071022-8y8eE9CEV3FspP8HJrY1M2dS) "Eclipse
RCP Plug-in Developer Resources" [Resolved]
org.eclipse.rcp.source.linux.gtk.x86
(3.3.2.R33x_r20071022-8y8eE9CEV3FspP8HJrY1M2dS) "Eclipse RCP Plug-in Developer
Resources" [Resolved]
org.eclipse.rcp.source.linux.gtk.x86 (3.3.0.v20070607-8y8eE8NEbsN3X_fjWS8HPNG)
"pluginName" [Installed]
org.eclipse.sdk (3.3.2.R33x_v20071022) "Eclipse Project SDK" [Starting]
org.eclipse.search (3.3.1.r331_v20070831-0800) "Search Support" [Starting]
org.eclipse.swt (3.3.0.v3346) "Standard Widget Toolkit" [Installed]
org.eclipse.swt (3.3.2.v3347) "Standard Widget Toolkit" [Resolved]
org.eclipse.swt.gtk.linux.x86 (3.3.2.v3347) "Standard Widget Toolkit for GTK
2.0" [Resolved]
org.eclipse.team.core (3.3.1.r33x_20070807) "Team Support Core" [Active]
org.eclipse.team.cvs.core (3.3.1.r33x_20070724) "CVS Team Provider Core" [Starting]
org.eclipse.team.cvs.ssh (3.2.100.I20061208) "CVS SSH Core" [Starting]
org.eclipse.team.cvs.ssh2 (3.2.100.I20070604) "CVS SSH2" [Starting]
org.eclipse.team.cvs.ui (3.3.1.r33x_20070807) "CVS Team Provider UI" [Starting]
org.eclipse.team.ui (3.3.1.r33x_20070730) "Team Support UI" [Starting]
org.eclipse.text (3.3.0.v20070606-0010) "Text" [Resolved]
org.eclipse.tomcat (4.1.230.v20070531) "Tomcat Wrapper" [Starting]
org.eclipse.ui (3.3.0.I20070614-0800) "Eclipse UI" [Installed]
org.eclipse.ui (3.3.1.M20070910-0800b) "Eclipse UI" [Active]
org.eclipse.ui.browser (3.2.100.v20070524A) "Browser Support" [Starting]
org.eclipse.ui.cheatsheets (3.3.0.v20070507) "Cheat Sheets" [Starting]
org.eclipse.ui.console (3.2.1.v20070824_r331) "Console" [Starting]
org.eclipse.ui.editors (3.3.1.r331_v20070629) "Default Text Editor" [Active]
org.eclipse.ui.externaltools (3.1.200.v20070416) "External Tools" [Active]
org.eclipse.ui.forms (3.3.0.v20070511) "Eclipse Forms" [Active]
org.eclipse.ui.ide (3.3.1.M20070910-0800b) "Eclipse IDE UI" [Active]
org.eclipse.ui.ide.application (1.0.0.I20070530-0100) "Eclipse IDE UI
Application" [Resolved]
org.eclipse.ui.intro (3.2.101.v20070827_33x) "Welcome Framework" [Starting]
org.eclipse.ui.intro.universal (3.2.100.v20070530A) "Universal Welcome" [Starting]
org.eclipse.ui.navigator (3.3.2.M20071022-1600a) "Common Navigator View" [Starting]
org.eclipse.ui.navigator.resources (3.3.1.M20070831-2000) "Navigator Workbench
Components" [Starting]
org.eclipse.ui.net (1.0.0.I20070516) "Internet Connection Management UI" [Active]
org.eclipse.ui.presentations.r21 (3.2.100.I20070605-0010) "R21 Presentation
Plug-in" [Starting]
org.eclipse.ui.views (3.2.101.M20070910-0800b) "Views" [Active]
org.eclipse.ui.views.properties.tabbed (3.3.1.M20070831-0800) "Tabbed Properties
View" [Starting]
org.eclipse.ui.workbench (3.3.0.I20070608-1100) "Workbench" [Installed]
org.eclipse.ui.workbench (3.3.1.M20070921-1200) "Workbench" [Active]
org.eclipse.ui.workbench.compatibility (3.2.0.I20070319-0010) "Workbench
Compatibility" [Resolved]
org.eclipse.ui.workbench.texteditor (3.3.1.r331_v20070806) "Text Editor
Framework" [Active]
org.eclipse.update.configurator (3.2.101.R33x_v20070810) "Install/Update
Configurator" [Active]
org.eclipse.update.configurator (3.2.100.v20070615) "Install/Update
Configurator" [Installed]
org.eclipse.update.core (3.2.101.R33x_v20070911) "Install/Update Core" [Active]
org.eclipse.update.core.linux (3.2.0.v20070615) "Install/Update Core for Linux"
[Resolved]
org.eclipse.update.scheduler (3.2.100.v20070615) "Automatic Updates Scheduler"
[Active]
org.eclipse.update.ui (3.2.100.v20070615) "Install/Update UI" [Starting]
org.fedoraproject.ide.platform (3.3.0) "Fedora Eclipse Product Plug-in" [Resolved]
org.junit (3.8.2.v200706111738) "JUnit Testing Framework" [Resolved]
org.junit.source (3.8.2.v200706111738) "JUnit Testing Framework Source" [Resolved]
org.junit4 (4.3.1) "JUnit Testing Framework Version 4" [Resolved]
org.mortbay.jetty (5.1.11.v200706111724) "Jetty WebServer" [Resolved]
org.mortbay.jetty.source (5.1.11.v200706111724) "Jetty WebServer Source" [Resolved]
org.python.pydev (1.3.13) "Pydev - Python Development Environment" [Starting]
org.python.pydev.ast (1.3.13) "Ast Plug-in" [Starting]
org.python.pydev.core (1.3.13) "Core Plug-in" [Starting]
org.python.pydev.debug (1.3.13) "Pydev debug" [Starting]
org.python.pydev.help (1.3.13) "Pydev Online Help" [Starting]
org.python.pydev.jython (1.3.13) "Jython Plug-in" [Starting]
org.python.pydev.mylyn (0.3.0) "Pydev Mylyn Integration Plug-in" [Starting]
org.python.pydev.parser (1.3.13) "Parser Plug-in" [Starting]
org.python.pydev.refactoring (1.3.13) "Python Refactoring Plug-In" [Starting]
org.python.pydev.templates (1.3.13) "Templates Plug-in" [Starting]

*** User Preferences:
#Wed Feb 13 10:46:42 PST 2008
/instance/org.eclipse.jdt.ui/tabWidthPropagated=true
/instance/org.eclipse.debug.ui/org.eclipse.debug.ui.PREF_LAUNCH_PERSPECTIVES=<?xml
version\="1.0" encoding\="UTF-8" standalone\="no"?>\n<launchPerspectives/>\n
/instance/org.eclipse.jdt.ui/useQuickDiffPrefPage=true
@org.eclipse.cdt.debug.core=4.0.1.200712191627
/instance/org.eclipse.jdt.ui/org.eclipse.jdt.ui.editor.tab.width=
/instance/org.eclipse.ui.ide/platformState=1200952020672
/instance/org.eclipse.ui.ide/quickStart=true
@org.eclipse.mylyn.tasks.ui=2.0.0.v20070627-1400
file_export_version=3.0
/instance/org.eclipse.mylyn.context.ui/org.eclipse.mylyn.ui.interest.filter.org.eclipse.ui.views.ResourceNavigator=true
/instance/org.eclipse.cdt.ui/useAnnotationsPrefPage=true
@org.eclipse.jdt.ui=3.3.1.r331_v20070906
/instance/org.eclipse.core.resources/version=1
/instance/org.eclipse.mylyn.tasks.ui/org.eclipse.mylyn.tasks.ui.backup.last=1202924791115
@org.eclipse.core.net=1.0.1.r33x_20070709
/instance/org.eclipse.jdt.ui/spelling_locale_initialized=true
/instance/org.eclipse.ui.ide/tipsAndTricks=true
@org.eclipse.mylyn.java.ui=2.0.0.v20070628-1000
/instance/org.eclipse.update.core/org.eclipse.update.core.automaticallyChooseMirror=true
@org.eclipse.debug.ui=3.3.1.v20070731_r331
/instance/org.eclipse.jdt.ui/content_assist_disabled_computers=org.eclipse.jdt.ui.javaNoTypeProposalCategory\u0000org.eclipse.jdt.ui.spellingProposalCategory\u0000org.eclipse.jdt.ui.textProposalCategory\u0000org.eclipse.jdt.ui.templateProposalCategory\u0000org.eclipse.jdt.ui.javaTypeProposalCategory\u0000
/instance/org.eclipse.ui/showIntro=false
/configuration/org.eclipse.ui.ide/MAX_RECENT_WORKSPACES=5
/configuration/org.eclipse.ui.ide/RECENT_WORKSPACES=/var/www/html/ColdFusion/Books\n/var/www/html/ColdFusion/\n/var/www/ColdFusion/\n/var/tmp/ColdFusion
/instance/org.eclipse.mylyn.context.ui/org.eclipse.mylyn.ui.interest.filter.org.eclipse.ui.views.ContentOutline=true
/configuration/org.eclipse.ui.ide/SHOW_WORKSPACE_SELECTION_DIALOG=true
/instance/org.eclipse.jdt.ui/proposalOrderMigrated=true
@org.eclipse.ui.ide=3.3.1.M20070910-0800b
/instance/org.eclipse.cdt.debug.core/org.eclipse.cdt.debug.core.cDebug.common_source_containers=<?xml
version\="1.0" encoding\="UTF-8"
standalone\="no"?>\n<sourceLookupDirector>\n<sourceContainers
duplicates\="false"/>\n</sourceLookupDirector>\n
/instance/org.eclipse.jdt.ui/fontPropagated=true
@org.eclipse.mylyn.context.ui=2.0.0.v20070627-1400
@org.eclipse.core.resources=3.3.0.v20070604
@org.eclipse.cdt.ui=4.0.1.200712191627
@org.eclipse.ui=3.3.1.M20070910-0800b
/instance/org.eclipse.cdt.ui/useQuickDiffPrefPage=true
/instance/org.eclipse.core.net/org.eclipse.core.net.hasMigrated=true
/configuration/org.eclipse.ui.ide/RECENT_WORKSPACES_PROTOCOL=3
/instance/org.eclipse.mylyn.java.ui/org.eclipse.mylyn.ui.first.run.0_4_9=false
/instance/org.eclipse.jdt.ui/org.eclipse.jdt.ui.javadoclocations.migrated=true
/instance/org.eclipse.jdt.ui/org.eclipse.jdt.internal.ui.navigator.layout=2
/instance/org.eclipse.jdt.ui/org.eclipse.jdt.ui.formatterprofiles.version=11
\!/=
/instance/org.eclipse.mylyn.context.ui/org.eclipse.mylyn.ui.interest.highlighters=flag\:\:255;238;99;yellow;Solid\:254;179;190;rose;Solid\:202;169;222;purple;Solid\:120;160;250;blue;Solid\:162;231;215;green;Solid\:81;158;235;blue
gradient;Gradient\:222;137;71;orange gradient;Gradient\:
@org.eclipse.update.core=3.2.101.R33x_v20070911
/instance/org.eclipse.jdt.ui/org.eclipse.jface.textfont=1|Monospace|10.0|0|GTK|1|;
/instance/org.eclipse.jdt.ui/useAnnotationsPrefPage=true

*** Current Install Configuration:
Install configuration:
 Last changed on Feb 13, 2008
 Location: file:/usr/share/eclipse/configuration/org.eclipse.update/platform.xml

 Configured sites:
  platform:/base/
  file:/usr/lib/eclipse/

 Configured features:
  ID: org.fedoraproject.ide.platform, Version: 1.0.0
  ID: org.eclipse.linuxtools.changelog, Version: 2.6.1
  ID: org.cfeclipse.cfml.frameworks.feature, Version: 1.0.0
  ID: org.eclipse.platform, Version: 3.3.2.R33x_v20071022
  ID: org.eclipse.rcp.patch2, Version: 3.3.1.1_v20080102_3311
  ID: org.eclipse.sdk, Version: 3.3.2.R33x_v20071022
  ID: org.python.pydev, Version: 1.3.13
  ID: org.eclipse.rcp.patch1, Version: 3.3.1.1_v20071204_3311
  ID: org.eclipse.cdt, Version: 4.0.0.200712191627
  ID: org.eclipse.rcp.source, Version: 3.3.2.R33x_r20071022-8y8eE9CEV3FspP8HJrY1M2dS
  ID: org.eclipse.pde.source, Version: 3.3.2.R33x_r20071022-7N7M4CYWLBCz-yHkMIuHN
  ID: org.eclipse.cvs, Version: 1.0.0.v20070606
  ID: org.eclipse.mylyn, Version: 2.0.0.v20070627-1400
  ID: org.eclipse.jdt.source, Version:
3.3.1.r331_v20070629-7o7jE72EDlXAbqAcnbmyg1rf8RIL
  ID: org.eclipse.mylyn, Version: 2.0.0.v20070627-1400
  ID: org.eclipse.rcp, Version: 3.2.0.v20070612
  ID: com.adobe.coldfusion.feature.brand, Version: 1.0.176376
  ID: org.eclipse.jdt, Version: 3.3.0.v20070607-1300
  ID: org.eclipse.mylyn, Version: 2.0.0.v20070628-1000
  ID: org.eclipse.cdt.cppunit, Version: 2.0.0
  ID: org.eclipse.cvs.source, Version: 1.0.1.R33x_r20070802-7C79_9_KKG-mDM9e3H5D
  ID: org.python.pydev.mylyn.feature, Version: 0.3.0
  ID: org.cfeclipse.cfml.feature, Version: 1.3.1.6
  ID: com.ibm.icu, Version: 3.6.1.v20070417
  ID: com.redhat.eclipse.cdt.autotools.feature, Version: 0.9.6
  ID: org.cfeclipse.cfml.cfunit.feature, Version: 1.0.4
  ID: org.eclipse.platform.source, Version:
3.3.2.R33x_v20071022-_19UEksF-G8Yc6bUv3Dz
  ID: org.eclipse.pde, Version: 3.3.1.R33x_r20070920
  ID: org.eclipse.mylyn, Version: 2.0.0.v20070627-1400
  ID: org.eclipse.rcp, Version: 3.2.0.v20070612

 Configured plug-ins:
  file:/usr/share/eclipse/plugins/org.apache.commons.el_1.0.0.v200706111724.jar
  file:/usr/share/eclipse/plugins/org.eclipse.equinox.registry_3.3.0.v20070522.jar
  file:/usr/share/eclipse/plugins/org.python.pydev.mylyn_0.3.0.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui_3.3.0.I20070614-0800.jar
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion.cfc2as_1.0.176376/
  file:/usr/share/eclipse/plugins/org.cfeclipse.cfml.cfunit_1.0.4/
 
file:/usr/share/eclipse/plugins/org.eclipse.equinox.registry_3.3.1.R33x_v20070802.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.platform.source.linux.gtk.x86_3.3.2.R33x_v20071022-_19UEksF-G8Yc6bUv3Dz/
 
file:/usr/share/eclipse/plugins/org.eclipse.jface.databinding_1.1.1.M20070910-0800b.jar
  file:/usr/share/eclipse/plugins/org.eclipse.equinox.app_1.0.1.R33x_v20070828.jar
  file:/usr/share/eclipse/plugins/org.eclipse.jface.text_3.3.1.r331_v20070629.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.cdt.managedbuilder.gnu.ui_4.0.0.200712191627.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.jdt.core.manipulation_1.1.0.v20070606-0010.jar
  file:/usr/share/eclipse/plugins/javax.servlet.source_2.4.0.v200706111738/
  file:/usr/share/eclipse/plugins/org.eclipse.core.filesystem_1.1.0.v20070606.jar
  file:/usr/share/eclipse/plugins/org.apache.commons.logging_1.0.4.v200706111724.jar
  file:/usr/share/eclipse/plugins/org.eclipse.help.base_3.3.1.v20070813_33x.jar
  file:/usr/share/eclipse/plugins/org.eclipse.osgi_3.3.0.v20070530.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.databinding.beans_1.0.0.I20070606-0010.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.mylyn.context.core_2.0.0.v20070627-1400.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui.editors_3.3.1.r331_v20070629.jar
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion.rds.debugger_1.0.176376/
  file:/usr/share/eclipse/plugins/org.eclipse.ui.workbench_3.3.0.I20070608-1100.jar
  file:/usr/share/eclipse/plugins/com.ibm.icu.source_3.6.1.v20070906/
  file:/usr/share/eclipse/plugins/org.python.pydev.templates_1.3.13/
  file:/usr/share/eclipse/plugins/org.python.pydev.jython_1.3.13/
  file:/usr/share/eclipse/plugins/org.eclipse.tomcat_4.1.230.v20070531/
  file:/usr/share/eclipse/plugins/org.eclipse.cdt_4.0.0.200712191627.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui.cheatsheets_3.3.0.v20070507.jar
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion.logviewer_1.0.176376/
  file:/usr/share/eclipse/plugins/org.eclipse.ui.net_1.0.0.I20070516.jar
  file:/usr/share/eclipse/plugins/com.ibm.icu36.data.update_3.6.1.v20080102_2007k/
 
file:/usr/share/eclipse/plugins/org.eclipse.ui.navigator.resources_3.3.1.M20070831-2000.jar
  file:/usr/share/eclipse/plugins/org.eclipse.jdt.debug_3.3.1.v20070719_r331/
  file:/usr/share/eclipse/plugins/org.eclipse.update.ui_3.2.100.v20070615.jar
  file:/usr/share/eclipse/plugins/org.apache.ant_1.7.0.v200706080842/
  file:/usr/share/eclipse/plugins/org.eclipse.ui.forms_3.3.0.v20070511.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.jdt.apt.pluggable.core_1.0.1.R33x_v20070831-0435.jar
  file:/usr/share/eclipse/plugins/org.apache.jasper_5.5.17.v200706111724.jar
  file:/usr/share/eclipse/plugins/org.eclipse.equinox.app_1.0.0.v20070606.jar
  file:/usr/share/eclipse/plugins/org.eclipse.pde_3.3.1.R33x_r20070920.jar
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion.rds.client_1.0.176376/
 
file:/usr/share/eclipse/plugins/org.apache.commons.logging.source_1.0.4.v200706111724/
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.doc.isv_4.0.0.200712191627.jar
  file:/usr/share/eclipse/plugins/org.eclipse.jface_3.3.0.I20070606-0010.jar
  file:/usr/share/eclipse/plugins/org.eclipse.swt_3.3.2.v3347.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.platform.source_3.3.2.R33x_v20071022-_19UEksF-G8Yc6bUv3Dz/
 
file:/usr/share/eclipse/plugins/org.eclipse.equinox.http.jetty_1.0.1.R33x_v20070816.jar
  file:/usr/share/eclipse/plugins/org.eclipse.mylyn_2.0.0.v20070627-1400.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.equinox.http.registry_1.0.0.v20070608.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.rcp.source_3.3.2.R33x_r20071022-8y8eE9CEV3FspP8HJrY1M2dS/
  file:/usr/share/eclipse/plugins/org.eclipse.jdt.doc.isv_3.3.1.r331_v20070913.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.mylyn.monitor.ui_2.0.0.v20070627-1400.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui.console_3.2.1.v20070824_r331.jar
  file:/usr/share/eclipse/plugins/org.eclipse.debug.core_3.3.1.v20070731_r331.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.pde.junit.runtime_3.3.0.v20070608-1300.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.mylyn.resources.ui_2.0.0.v20070627-1400.jar
  file:/usr/share/eclipse/plugins/org.eclipse.linuxtools.changelog.cparser_2.6.1.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.runtime.compatibility_3.1.200.v20070502.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.databinding_1.0.0.I20070606-0010.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.runtime.compatibility.auth_3.2.100.v20070502.jar
  file:/usr/share/eclipse/plugins/org.eclipse.swt_3.3.0.v3346.jar
  file:/usr/share/eclipse/plugins/org.junit4_4.3.1/
  file:/usr/share/eclipse/plugins/org.eclipse.core.net_1.0.1.r33x_20070709.jar
  file:/usr/share/eclipse/plugins/org.eclipse.jdt_3.3.0.v20070607-1300.jar
  file:/usr/share/eclipse/plugins/org.cfeclipse.cfml_1.3.1.6/
 
file:/usr/share/eclipse/plugins/org.eclipse.mylyn.tasks.ui_2.0.0.v20070627-1400.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.update.configurator_3.2.100.v20070615.jar
  file:/usr/share/eclipse/plugins/org.eclipse.help_3.3.0.v20070524.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.equinox.preferences_3.2.100.v20070522.jar
  file:/usr/share/eclipse/plugins/org.junit.source_3.8.2.v200706111738/
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion_help_8_0.9.0/
  file:/usr/share/eclipse/plugins/org.eclipse.update.scheduler_3.2.100.v20070615.jar
  file:/usr/share/eclipse/plugins/org.apache.lucene.analysis_1.9.1.v200706181610.jar
  file:/usr/share/eclipse/plugins/org.eclipse.jdt.launching_3.3.1.v20070808_r331.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.mylyn.monitor.core_2.0.0.v20070627-1400.jar
  file:/usr/share/eclipse/plugins/org.eclipse.core.runtime_3.3.100.v20070530.jar
  file:/usr/share/eclipse/plugins/org.eclipse.osgi.services_3.1.200.v20070605.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui.browser_3.2.100.v20070524A.jar
  file:/usr/share/eclipse/plugins/org.eclipse.update.core_3.2.101.R33x_v20070911.jar
  file:/usr/share/eclipse/plugins/org.eclipse.sdk_3.3.2.R33x_v20071022/
  file:/usr/share/eclipse/plugins/org.eclipse.equinox.initializer_1.0.0.jar
  file:/usr/share/eclipse/plugins/org.eclipse.mylyn.web.core_2.0.0.v20070627-1400/
  file:/usr/share/eclipse/plugins/org.eclipse.team.ui_3.3.1.r33x_20070730.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.filebuffers_3.3.1.r331_v20070829.jar
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion.as2cfc_1.0.176376/
  file:/usr/share/eclipse/plugins/org.eclipse.help.ui_3.3.1.v20070726_33x.jar
  file:/usr/share/eclipse/plugins/org.python.pydev_1.3.13/
 
file:/usr/share/eclipse/plugins/org.eclipse.cdt.debug.mi.core_4.0.0.200712191627.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.0.2.R331_v20071019/
 
file:/usr/share/eclipse/plugins/org.eclipse.equinox.http.servlet_1.0.1.R33x_v20070816.jar
  file:/usr/share/eclipse/plugins/com.redhat.eclipse.cdt.autotools_0.9.6.jar
  file:/usr/share/eclipse/plugins/org.eclipse.team.cvs.ssh_3.2.100.I20061208.jar
  file:/usr/share/eclipse/plugins/org.apache.lucene_1.9.1.v200706111724.jar
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.core.linux_4.0.0.200712191627.jar
  file:/usr/share/eclipse/plugins/org.cfeclipse.cfml.cfunit_1.3.1.5/
 
file:/usr/share/eclipse/plugins/org.eclipse.platform.doc.user_3.3.0.M20070913-1400.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui.ide_3.3.1.M20070910-0800b.jar
  file:/usr/share/eclipse/plugins/org.eclipse.pde.build/
  file:/usr/share/eclipse/plugins/org.mortbay.jetty_5.1.11.v200706111724.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.equinox.jsp.jasper.registry_1.0.0.v20070607.jar
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion.fbext_help_1.0.1/
  file:/usr/share/eclipse/plugins/org.eclipse.compare_3.3.1.r33x_20070906.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.update.configurator_3.2.101.R33x_v20070810.jar
  file:/usr/share/eclipse/plugins/org.fedoraproject.ide.platform/
  file:/usr/share/eclipse/plugins/org.eclipse.platform_3.3.2.R33x_v20071022/
  file:/usr/share/eclipse/plugins/org.eclipse.jface_3.3.1.M20070910-0800b.jar
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion.crudcfc_1.0.176376/
  file:/usr/share/eclipse/plugins/org.eclipse.core.contenttype_3.2.100.v20070319.jar
  file:/usr/share/eclipse/plugins/javax.servlet.jsp.source_2.0.0.v200706191603/
  file:/usr/share/eclipse/plugins/javax.servlet.jsp_2.0.0.v200706191603.jar
  file:/usr/share/eclipse/plugins/org.eclipse.core.jobs_3.3.1.R33x_v20070709.jar
  file:/usr/share/eclipse/plugins/org.python.pydev.ast_1.3.13/
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.ui_4.0.1.200712191627.jar
  file:/usr/share/eclipse/plugins/org.eclipse.rcp_3.2.0.v20070612.jar
  file:/usr/share/eclipse/plugins/org.eclipse.pde.doc.user_3.3.0.v20070614-0800.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui_3.3.1.M20070910-0800b.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui.externaltools_3.1.200.v20070416.jar
  file:/usr/share/eclipse/plugins/org.python.pydev.parser_1.3.13/
 
file:/usr/share/eclipse/plugins/org.eclipse.ui.views.properties.tabbed_3.3.1.M20070831-0800.jar
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.core_4.0.1.200712191627.jar
  file:/usr/share/eclipse/plugins/org.apache.jasper.source_5.5.17.v200706111724/
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.debug.mi.ui_4.0.0.200712191627.jar
  file:/usr/share/eclipse/plugins/org.mortbay.jetty.source_5.1.11.v200706111724/
  file:/usr/share/eclipse/plugins/org.eclipse.update.core.linux_3.2.0.v20070615.jar
  file:/usr/share/eclipse/plugins/org.python.pydev.refactoring_1.3.13/
  file:/usr/share/eclipse/plugins/org.eclipse.osgi.util_3.1.200.v20070605.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.databinding_1.0.1.M20070822-0800.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.databinding.beans_1.0.1.M20070910-0800b.jar
  file:/usr/share/eclipse/plugins/com.ibm.icu.source_3.6.1.v20070417/
 
file:/usr/share/eclipse/plugins/org.eclipse.mylyn.context.ui_2.0.0.v20070627-1400.jar
  file:/usr/share/eclipse/plugins/com.ibm.icu_3.6.1.v20070906.jar
  file:/usr/share/eclipse/plugins/org.eclipse.mylyn.ide.ui_2.0.0.v20070627-1400.jar
  file:/usr/share/eclipse/plugins/org.apache.commons.el.source_1.0.0.v200706111724/
  file:/usr/share/eclipse/plugins/org.python.pydev.debug_1.3.13/
  file:/usr/share/eclipse/plugins/org.eclipse.team.cvs.core_3.3.1.r33x_20070724.jar
  file:/usr/share/eclipse/plugins/org.eclipse.osgi_3.3.1.R33x_v20070828.jar
  file:/usr/share/eclipse/plugins/org.eclipse.debug.ui_3.3.1.v20070731_r331.jar
  file:/usr/share/eclipse/plugins/org.eclipse.equinox.launcher_1.0.0.v20070606.jar
  file:/usr/share/eclipse/plugins/org.eclipse.core.jobs_3.3.0.v20070423.jar
  file:/usr/share/eclipse/plugins/org.eclipse.mylyn.help.ui_2.0.0.v20070627-1400.jar
 
file:/usr/share/eclipse/plugins/org.apache.lucene.analysis.source_1.9.1.v200706181610/
  file:/usr/share/eclipse/plugins/org.eclipse.jsch.core_1.0.0.I20070426.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.jdt.apt.ui_3.3.1.R33x_v20070801-1930.jar
  file:/usr/share/eclipse/plugins/org.eclipse.pde.core_3.3.1.v20070912-0800.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.jdt.compiler.apt_1.0.1.R33x_v20070831-0435.jar
  file:/usr/share/eclipse/plugins/org.eclipse.mylyn.java.ui_2.0.0.v20070628-1000.jar
  file:/usr/share/eclipse/plugins/org.eclipse.equinox.common_3.3.0.v20070426.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui.intro_3.2.101.v20070827_33x.jar
  file:/usr/share/eclipse/plugins/org.eclipse.help.webapp_3.3.1.v20070823_33x.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.rcp.source.linux.gtk.x86_3.3.2.R33x_r20071022-8y8eE9CEV3FspP8HJrY1M2dS/
  file:/usr/share/eclipse/plugins/org.eclipse.ant.core_3.1.200.v20070522.jar
  file:/usr/share/eclipse/plugins/org.eclipse.core.resources_3.3.0.v20070604.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.jface.databinding_1.1.0.I20070606-0010.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.jdt.apt.core_3.3.1.R33x_v20070831-0435.jar
  file:/usr/share/eclipse/plugins/javax.servlet_2.4.0.v200706111738.jar
  file:/usr/share/eclipse/plugins/org.eclipse.pde.runtime_3.3.0.v20070608-1300.jar
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.debug.ui_4.0.1.200712191627.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.pde.source_3.3.2.R33x_r20071022-7N7M4CYWLBCz-yHkMIuHN/
 
file:/usr/share/eclipse/plugins/org.eclipse.ltk.ui.refactoring_3.3.1.r331_v20070829.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui.intro.universal_3.2.100.v20070530A/
  file:/usr/share/eclipse/plugins/org.eclipse.jdt.junit_3.3.1.r331_v20070829.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.jdt.junit.runtime_3.3.0.v20070606-0010.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui.workbench_3.3.1.M20070921-1200.jar
  file:/usr/share/eclipse/plugins/org.eclipse.jdt.compiler.tool_1.0.1.v_780_R33x.jar
  file:/usr/share/eclipse/plugins/org.eclipse.team.cvs.ssh2_3.2.100.I20070604.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.ui.workbench.texteditor_3.3.1.r331_v20070806.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.expressions_3.3.0.v20070606-0010.jar
  file:/usr/share/eclipse/plugins/com.jcraft.jsch_0.1.31.jar
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion.feature.brand_1.0.176376/
  file:/usr/share/eclipse/plugins/org.eclipse.help.appserver_3.1.200.v20070510.jar
  file:/usr/share/eclipse/plugins/org.eclipse.jdt.doc.user_3.3.1.r331_v20070912a.jar
  file:/usr/share/eclipse/plugins/org.apache.lucene.source_1.9.1.v200706111724/
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.launch_4.0.1.200712191627.jar
  file:/usr/share/eclipse/plugins/org.eclipse.jsch.ui_1.0.1.r33x_20070709.jar
  file:/usr/share/eclipse/plugins/org.python.pydev.help_1.3.13/
  file:/usr/share/eclipse/plugins/org.eclipse.ui.views_3.2.101.M20070910-0800b.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.jdt.debug.ui_3.2.101.v20070718_r331.jar
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.doc.user_4.0.1.200712191627.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.ui.workbench.compatibility_3.2.0.I20070319-0010/
  file:/usr/share/eclipse/plugins/org.eclipse.core.boot_3.1.100.v20060603.jar
  file:/usr/share/eclipse/plugins/org.eclipse.help_3.3.1.v20070726_33x.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.pde.ui.templates_3.3.0.v20070608-1300.jar
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion.servicebrowser_1.0.176376/
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.refactoring_4.0.1.200712191627.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.resources.compatibility_3.2.100.v20070502.jar
  file:/usr/share/eclipse/plugins/com.adobe.coldfusion_help_7_1.0.0/
 
file:/usr/share/eclipse/plugins/org.eclipse.jdt.source_3.3.1.r331_v20070629-7o7jE72EDlXAbqAcnbmyg1rf8RIL/
  file:/usr/share/eclipse/plugins/org.eclipse.linuxtools.changelog.core_2.6.1.jar
  file:/usr/share/eclipse/plugins/org.eclipse.cvs_1.0.0.v20070606.jar
  file:/usr/share/eclipse/plugins/org.eclipse.jdt.ui_3.3.1.r331_v20070906.jar
  file:/usr/share/eclipse/plugins/org.eclipse.core.variables_3.2.0.v20070426.jar
  file:/usr/share/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_3.3.2.v3347.jar
  file:/usr/share/eclipse/plugins/org.eclipse.core.commands_3.3.0.I20070605-0010.jar
  file:/usr/share/eclipse/plugins/org.eclipse.pde.build_3.3.2.R331_v20071019/
 
file:/usr/share/eclipse/plugins/org.eclipse.ltk.core.refactoring_3.3.1.r331_v20070829.jar
  file:/usr/share/eclipse/plugins/org.cfeclipse.cfml.frameworks_1.0.3/
 
file:/usr/share/eclipse/plugins/org.eclipse.mylyn.tasks.core_2.0.0.v20070627-1400.jar
  file:/usr/share/eclipse/plugins/org.eclipse.jdt.core_3.3.1.v_780_R33x.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.jdt.junit4.runtime_1.0.100.v20070606-0010.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.cvs.source_1.0.1.R33x_r20070802-7C79_9_KKG-mDM9e3H5D/
  file:/usr/share/eclipse/plugins/org.eclipse.linuxtools.changelog.doc_2.6.1/
  file:/usr/share/eclipse/plugins/com.ibm.icu_3.6.1.v20070417.jar
 
file:/usr/share/eclipse/plugins/com.adobe.coldfusion.wizards.appgeneration_1.0.176376/
  file:/usr/share/eclipse/plugins/org.python.pydev.core_1.3.13/
 
file:/usr/share/eclipse/plugins/org.eclipse.cdt.managedbuilder.core_4.0.1.200712191627.jar
  file:/usr/share/eclipse/plugins/org.junit_3.8.2.v200706111738/
  file:/usr/share/eclipse/plugins/org.apache.ant.source_1.7.0.v200706080842/
  file:/usr/share/eclipse/plugins/org.eclipse.mylyn.web.ui_2.0.0.v20070627-1400.jar
  file:/usr/share/eclipse/plugins/org.eclipse.team.cvs.ui_3.3.1.r33x_20070807.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.ui.ide.application_1.0.0.I20070530-0100.jar
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.cppunit_2.0.0/
  file:/usr/share/eclipse/plugins/org.eclipse.pde.ui_3.3.1.v20070912-0800.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.equinox.launcher_1.0.1.R33x_v20070828.jar
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.make.core_4.0.1.200712191627.jar
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.debug.core_4.0.1.200712191627.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.platform.doc.isv_3.3.1.r331_v20070913.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ant.ui_3.2.200.v20070825_r331.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.ui.presentations.r21_3.2.100.I20070605-0010.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.cdt.managedbuilder.ui_4.0.1.200712191627.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.core.runtime.compatibility.registry_3.2.100.v20070316/
  file:/usr/share/eclipse/plugins/org.eclipse.text_3.3.0.v20070606-0010.jar
  file:/usr/share/eclipse/plugins/org.eclipse.cdt.make.ui_4.0.1.200712191627.jar
  file:/usr/share/eclipse/plugins/org.eclipse.ui.navigator_3.3.2.M20071022-1600a.jar
  file:/usr/share/eclipse/plugins/com.redhat.eclipse.cdt.autotools_docs_0.0.5/
 
file:/usr/share/eclipse/plugins/org.eclipse.equinox.jsp.jasper_1.0.1.R33x_v20070816.jar
  file:/usr/share/eclipse/plugins/org.eclipse.team.core_3.3.1.r33x_20070807.jar
  file:/usr/share/eclipse/plugins/org.eclipse.search_3.3.1.r331_v20070831-0800.jar
 
file:/usr/share/eclipse/plugins/org.eclipse.linuxtools.changelog.parsers.java_2.6.1.jar
 
file:/usr/lib/eclipse/plugins/org.eclipse.rcp.source.linux.gtk.x86_3.3.0.v20070607-8y8eE8NEbsN3X_fjWS8HPNG/
  file:/usr/lib/eclipse/plugins/org.eclipse.jdt.doc.isv_3.3.0.v20070613.jar
 
file:/usr/lib/eclipse/plugins/org.eclipse.core.runtime.compatibility.auth_3.2.100.v20070502.jar
  file:/usr/lib/eclipse/plugins/org.eclipse.platform.doc.isv_3.3.0.v20070621.jar
 
file:/usr/lib/eclipse/plugins/org.eclipse.equinox.preferences_3.2.100.v20070522.jar
  file:/usr/lib/eclipse/plugins/org.eclipse.core.runtime_3.3.100.v20070530.jar
  file:/usr/lib/eclipse/plugins/org.eclipse.help.webapp_3.3.0.v20070607.jar
 
file:/usr/lib/eclipse/plugins/org.eclipse.cdt.core.linux.x86_4.0.0.200712191627.jar
  file:/usr/lib/eclipse/plugins/org.eclipse.core.contenttype_3.2.100.v20070319.jar
 
file:/usr/lib/eclipse/plugins/org.eclipse.platform.source.linux.gtk.x86_3.3.0.v20070612-_19UEkLEzwsdF9jSqQ-G/
  file:/usr/lib/eclipse/plugins/org.eclipse.rcp_3.2.0.v20070612.jar
  file:/usr/lib/eclipse/plugins/org.eclipse.pde.doc.user_3.3.0.v20070614-0800.jar
 
file:/usr/lib/eclipse/plugins/org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416.jar
  file:/usr/lib/eclipse/plugins/org.eclipse.update.core.linux_3.2.0.v20070615.jar
  file:/usr/lib/eclipse/plugins/org.eclipse.equinox.common_3.3.0.v20070426.jar
 
file:/usr/lib/eclipse/plugins/org.eclipse.core.expressions_3.3.0.v20070606-0010.jar
  file:/usr/lib/eclipse/plugins/org.eclipse.core.commands_3.3.0.I20070605-0010.jar
 
file:/usr/lib/eclipse/plugins/org.eclipse.platform.source_3.3.0.v20070612-_19UEkLEzwsdF9jSqQ-G/
Comment 1 Andrew Overholt 2008-02-19 14:07:00 EST
Hmm.  It looks like you're running some Cold Fusion plugins.  We don't ship
those in Fedora so I can't duplicate your problem.

Can you try running with -clean?  I'm really surprised you ran into an issue as
more than a few people tested the update while it was in updates-testing.
Comment 2 Brian Erickson 2008-02-19 16:31:37 EST
I ran "eclipse -clean"
And I still have the same problem.
I have also tried downgrading, reinstalling and updating, with
the same results.

I am using Eclipse to do Web Development in ColdFusion.
If I don't use the "CF Framework Explorer", Eclipse display all "cfm" or "cfc"
files, with code, as blank.  Which means I am stuck using Kedit.
Comment 3 Andrew Overholt 2008-02-20 09:31:20 EST
(In reply to comment #2)
> I ran "eclipse -clean"
> And I still have the same problem.
> I have also tried downgrading, reinstalling and updating, with
> the same results.

Try moving ~/.eclipse out of the way (say, mv ~/.eclipse{,.bak} so you've got it
backed up), but if you installed stuff using the Eclipse update manager, it
won't be there anymore.  I don't see how this could have happened, but there's
an upstream bug with regards to updates that may be the cause.  I just don't
understand how my upgrade tests (and those of others) worked and yours didn't :(
 I'm sorry this happened to you.

> I am using Eclipse to do Web Development in ColdFusion.

Sure, I didn't mean to imply you shouldn't be using it - just that I can't
duplicate your problem :)  I'll try installing it to see if I can duplicate.

> If I don't use the "CF Framework Explorer", Eclipse display all "cfm" or "cfc"
> files, with code, as blank.  Which means I am stuck using Kedit.

I find this odd.  Do the files not actually exist?  I've never seen a file (even
one of a type unknown to an Eclipse editor) show as empty.
Comment 4 Andrew Overholt 2008-02-20 09:32:17 EST
I see that CFEclipse is EPL.  Would you be interested in maintaining this in Fedora?
Comment 5 Andrew Overholt 2008-02-20 09:34:50 EST
Okay, I get the same error.  But nothing changed in the recent Eclipse update in
JFace or SWT or org.eclipse.ui so I don't see how this worked before, either. 
Did it?
Comment 6 Brian Erickson 2008-02-20 12:24:39 EST
>> I am using Eclipse to do Web Development in ColdFusion.
>Sure, I didn't mean to imply you shouldn't be using it - just that I can't
>duplicate your problem :)  I'll try installing it to see if I can duplicate.
I was not complaining, only offering more detail, so the problem can
be replicated.
I am assuming that most Eclipse users not ColdFusion Developers.

> I see that CFEclipse is EPL.  Would you be interested in
> maintaining this in Fedora?
Tempting, but I am still trying to learn
ColdFusion,Ajax,CSS and Eclipse, while trying to put together
a website. :)

>~/.eclipse
Can't find "~/.eclipse".

>> If I don't use the "CF Framework Explorer", Eclipse display all
>> "cfm" or "cfc"
>> files, with code, as blank.  Which means I am stuck using Kedit.
> I find this odd.  Do the files not actually exist?  I've
> never seen a file (even
> one of a type unknown to an Eclipse editor) show as empty.
Also, before the files opened, Eclipse states the files are "Read Only".
The files are not, and I am opening the files as root.
Hope that helps.

Comment 7 Andrew Overholt 2008-02-20 12:33:31 EST
(In reply to comment #6)
> >~/.eclipse
> Can't find "~/.eclipse".

~ = your home directory.  If your username were "joe" ~ would = /home/joe and
~/.eclipse would be /home/joe/.eclipse.  It's a directory and not a file, BTW.

> >> If I don't use the "CF Framework Explorer", Eclipse display all
> >> "cfm" or "cfc"
> >> files, with code, as blank.  Which means I am stuck using Kedit.
> > I find this odd.  Do the files not actually exist?  I've
> > never seen a file (even
> > one of a type unknown to an Eclipse editor) show as empty.
> Also, before the files opened, Eclipse states the files are "Read Only".
> The files are not, and I am opening the files as root.

I don't understand.  You're running Eclipse as a regular user (don't run it as
root - that breaks things) and you try to edit some files that aren't in your
workspace?
Comment 8 Bug Zapper 2008-11-26 04:52:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 01:01:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.